petsc-3.13.6 2020-09-29
Report Typos and Errors

# KSPMonitorDefault

Print the residual norm at each iteration of an iterative solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPMonitorDefault(KSP ksp,PetscInt n,PetscReal rnorm,PetscViewerAndFormat *dummy)

Collective on ksp

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| dummy | - an ASCII PetscViewer

### See Also

KSPMonitorSet(), KSPMonitorTrueResidualNorm(), KSPMonitorLGResidualNormCreate()

### Level

intermediate

### Location

src/ksp/ksp/interface/iterativ.c

### Examples

src/ksp/ksp/tutorials/ex2f.F90.html
src/snes/tutorials/ex12.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages